<div id="filtercard"
     class="filterCard position-relative">
  <div class="container p-2 mb-1">
    <div class="row">
      <div class="col">Attribut</div>
      <div class="col-sm-2 text-end"
           (click)="deleteComponent(unikId)">
        <svg width="20"
             height="20"
             viewBox="0 0 20 20"
             fill="none"
             xmlns="http://www.w3.org/2000/svg">
          <path d="M10.0001 9.20804L11.98 7.22814L12.7719 8.0201L10.792 10L12.7719 11.9799L11.98 12.7719L10.0001 10.792L8.02018 12.7719L7.22822 11.9799L9.20812 10L7.22822 8.0201L8.02018 7.22814L10.0001 9.20804ZM14.9498 5.05025C17.6823 7.78271 17.6823 12.2173 14.9498 14.9497C12.2174 17.6822 7.78279 17.6822 5.05033 14.9497C2.31787 12.2173 2.31787 7.78271 5.05033 5.05025C7.78279 2.31779 12.2174 2.31779 14.9498 5.05025ZM14.1579 5.84221C11.8608 3.54513 8.13929 3.54521 5.84229 5.84221C3.54529 8.13921 3.54529 11.8608 5.84229 14.1578C8.13929 16.4548 11.8609 16.4548 14.1579 14.1578C16.4549 11.8608 16.4549 8.13921 14.1579 5.84221Z"
                fill="#EBEBEB" />
        </svg>
      </div>
    </div>
    <div class="row">
      <div class="col pt-2 pb-2">
        <ng-select class="select"
                   [searchable]="false"
                   [clearable]="true"
                   [multiple]="false"
                   [items]="optAttr"
                   appendTo="#filtercard"
                   *ngIf="isActive"
                   bindValue="id"
                   bindLabel="text"
                   (change)="setAttribute($event)">
        </ng-select>
      </div>
    </div>

    <div *ngIf="checkAllowedType()"
         class="row">
      <div class="col">Value</div>
    </div>
    <div *ngIf="attributeType === 'esriFieldTypeString' || attributeType === 'string'"
         class="row">
      <div class="col pt-2 pb-2">
        <ng-select class="select"
                   [searchable]="false"
                   [clearable]="true"
                   [multiple]="true"
                   [items]="optValue"
                   appendTo="#filtercard"
                   *ngIf="isActive"
                   bindValue="id"
                   bindLabel="text"
                   (change)="setValueFilter($event)">
        </ng-select>
      </div>
    </div>
    <div *ngIf="attributeType === 'esriFieldTypeInteger' || attributeType === 'esriFieldTypeDouble' || attributeType === 'double'"
         class="row">
      <div class="col pt-2 pb-2">
        <div class="custom-slider">
          <ng5-slider [(value)]="minValue"
                      [(highValue)]="maxValue"
                      (valueChange)="setValueFilter($event)"
                      [options]="options"></ng5-slider>
        </div>
      </div>
    </div>
  </div>
</div>